Loading...
Searching...
No Matches
fourdst::config::exceptions::ConfigError Class Reference

Base exception class for all configuration-related errors. More...

`#include <exceptions.h>`

Inheritance diagram for fourdst::config::exceptions::ConfigError:
[legend]
Collaboration diagram for fourdst::config::exceptions::ConfigError:
[legend]

## Public Member Functions

| ConfigError (const std::string &what)
| Constructs a ConfigError with a specific message.
const char * | what () const noexcept override
| Returns the error message.

## Private Attributes

std::string | m_msg

## Detailed Description

Base exception class for all configuration-related errors.

Provides a standard way to catch any error originating from the configuration library. Stores a string message describing the error.

## Constructor & Destructor Documentation

## ConfigError()

fourdst::config::exceptions::ConfigError::ConfigError | ( | const std::string & | what | ) |

inlineexplicit

Constructs a ConfigError with a specific message.

Parameters

  what | The error message.

## Member Function Documentation

## what()

const char * fourdst::config::exceptions::ConfigError::what | ( |  | ) | const

inlinenodiscardoverridenoexcept

Returns the error message.

Returns
  C-style string containing the error message.

## Member Data Documentation

## m_msg

std::string fourdst::config::exceptions::ConfigError::m_msg

private

The documentation for this class was generated from the following file:

- src/config/include/fourdst/config/exceptions/exceptions.h